<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1"
 http-equiv="content-type">
  <title>Tango Programer's Guide</title>
  <meta content="Pascale Verdier" name="author">
</head>
<body>
<div style="text-align: center;"><small><font color="#0000ff"><font
 size="+4"><small>E</small></font></font><font
 style="font-weight: bold;" size="+1"><small>UROPEAN</small></font><span
 style="font-weight: bold;">
</span><font color="#0000ff"><font size="+4"><small>S</small></font></font><font
 style="font-weight: bold;" size="+1"><small>YNCHROTRON</small></font>
<font color="#0000ff"><font size="+4"><small>R</small></font></font><font
 style="font-weight: bold;" size="+1"><small>ADIATION</small></font>
<font color="#0000ff"><font size="+4"><small>F</small></font></font><font
 style="font-weight: bold;" size="+1"><small>ACILITY</small></font></small>
</div>
<h5 style="text-align: center;">
<small>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON</small></h5>
<div style="text-align: center;"><br>

<big style="font-weight: bold;"><big><big>
<span style="text-decoration: underline;"> TANGO Programmer's Guide</span>
</big></big></big>
</div>

<br>
<br>
<a name="CVS_module"> </a>
<big><span style="font-weight: bold;"><span style="text-decoration: underline;">
Create a CVS Module</big></span>:</span>
<ul>
	(To create a new module &nbsp;
	<span style="font-style: italic;">my_module</span> for 
	<span style="font-style: italic;">MyDServer</span>&nbsp; class in 
	<span style="font-style: italic;">MyDsFamily.</span>)<br>

	<a name="CVS_module_create"> </a>
    <li><span style="font-weight: bold;">
	<b>Module creation:</b></span></li>
	<ol>
		<li>export the CVSROOT&nbsp;&nbsp; environment variable.</li>
		<li>cd&nbsp;&nbsp; {anywhere}</li>
		<li>cvs checkout&nbsp; CVSROOT/modules</li>
		<li>cd&nbsp; CVSROOT</li>
		<li>nedit&nbsp; modules</li>
		<li>&nbsp;&nbsp; #-----&gt; add your module with editor&nbsp;&nbsp;
			(see for specific repository)</li>
		
		<li>cvs commit -m "module&nbsp; <span style="font-style: italic;">my_module</span>
			&nbsp; added"</li>
		<li>cd ..</li>
		<li>cvs&nbsp; release&nbsp; -d&nbsp; CVSROOT</li>
		<li>cd &nbsp; ../../<span style="font-style: italic;">my_module</span></li>
		<li>cvs import -m "Initial Revision" ../../<span style="font-style: italic;">
			my_module</span> &nbsp;&nbsp; vendortag&nbsp;&nbsp; releasetag</li>
		<li>cd&nbsp; ..</li>
		<li>mv&nbsp;&nbsp; <span style="font-style: italic;">my_module</span>&nbsp;&nbsp;
		  <span style="font-style: italic;">my_module.org</span></li>
		<li>cvs&nbsp; co &nbsp; <span style="font-style: italic;">my_module</span></li>
		<li>cd&nbsp; <span style="font-style: italic;">my_module</span></li>
	</ol>
	<br>

	<a name="CVS_module_esrf"> </a>
    <li><span style="font-weight: bold;">
	<b>On ESRF repository:</b> </span></li>
	<ul>
		This repository is located at (CVSROOT=/segfs/tango/cvsroot)<br>
		Inside the edited <span style="font-weight: bold;">modules</span> file, add the
		following lines:
		<ul>
			<span style="font-weight: italic;">
			<li> #M&nbsp;&nbsp;&nbsp; my_module &nbsp;&nbsp;&nbsp; MyDsFamily
					:&nbsp;&nbsp; This class is able to bla bla bla....</li>
			<li> my_module
				&nbsp; &nbsp;&nbsp;&nbsp; cppserver/../../my_module</li>
			</span>
		</ul>
		<br>
		Where MyDsFamily could be:
		<ul>
			<li>Archiving</li>
			<li>Beamlines</li>
			<li>Input/Output</li>
			<li>Linac</li>
			<li>Measures</li>
			<li>Motion</li>
			<li>Power Supply</li>
			<li>Protocols</li>
			<li>TACO Interfaces</li>
			<li>Vacuum</li>
		</ul>
	</ul>
	<br>
	<a name="CVS_module_tango_ds"> </a>
    <li><span style="font-weight: bold;">
	<b>On Tango DS repository:</b></span></li>
	<ul>
		This repository is located at 
		(CVSROOT=my_loggin@cvs.sourceforge.net:/cvsroot/tango-ds)<br>
		Inside the edited <span style="font-weight: bold;">modules</span> file, 
		search the line:
		<ul>
			<li> #&nbsp; &nbsp; MyDsFamily </li>
		</ul>
		And add the following line:
		<ul>
			<li> my_module &nbsp; &nbsp;&nbsp; &nbsp; MyDsFamily/../../my_module</li>
		</ul>
		<br>
		Where MyDsFamily could be:
		<ul>
			<li> Acquisition </li>
			<li> Application </li>
			<li> Beamdiag </li>
			<li> Calculation </li>
			<li> Communication </li>
			<li> Inputoutput </>
			<li> Instrumentation </li>
			<li> Motion </li>
			<li> Process </li>
			<li> Miscellaneous </li>
			<li> Radiation protection </li>
			<li> Vacuum </li>
		</ul>
	</ul>
</ul>
<br>
<br>
</div>
</div>
</body>
</html>
